Subject: [IPsec] Early Allocation Request for IPTFS protocol number

From: Christian Hopps <[email-masked]>
Date: Fri, 10 Jul 2020 08:23:52 -0400

Hi,

Based on the list discussion I put together a draft early allocation request (using the form https://www.iana.org/form/protocol-assignment)

I think this is ready for the chairs to forward along to the AD/IESG per section 2 of RFC7120.

Request Description:
 Early Allocation Request

Which registry are you requesting this assignment/registration be made in?
 Assigned Internet Protocol Numbers

If possible, please give a brief description of why you need this assignment/registration:
 Aid in the early deployment and interoperability testing of implementations of the documented protocol. According to RFC 4303 (https://tools.ietf.org/html/rfc4303#section-2.6) the IPsec/ESP next header field is chosen from the IP protocol number space. This is because it transports IP packets or IP payloads. IPTFS is a new payload type for ESP. The IPTFS payload type may eventually be used outside of ESP; however, these uses are outside the scope of the defining document.

Additional Information. Please include a reference to the specification or RFC (if available) that defines this number or name space:
 draft-ietf-ipsecme-iptfs-01